/**
 * @license
 * Copyright 2023 Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
import { nothing } from 'lit';
import { ListItemLink } from './list-item-link.js';
export declare class ListItemLinkOnly extends ListItemLink {
    /**
     * Removes the hover and click ripples from the item when true. Clicking the
     * link will still cause link navigation.
     */
    noninteractive: boolean;
    getRenderClasses(): {
        noninteractive: boolean;
        'with-one-line': boolean;
        'with-two-line': boolean;
        'with-three-line': boolean;
        disabled: boolean;
    };
    renderRipple(): typeof nothing | import("lit-html").TemplateResult<2 | 1>;
    renderFocusRing(): typeof nothing | import("lit-html").TemplateResult<2 | 1>;
}
