/**
 * @license
 * Copyright 2022 Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
import { ListItemEl, ListItemRole } from '../../../list/lib/listitem/list-item.js';
import { MenuItem } from '../shared.js';
export { ListItemRole } from '../../../list/lib/listitem/list-item.js';
/**
 * @fires close-menu {CloseMenuEvent}
 */
export declare class MenuItemEl extends ListItemEl implements MenuItem {
    /**
     * READONLY: self-identifies as a menu item and sets its identifying attribute
     */
    isMenuItem: boolean;
    /**
     * Keeps the menu open if clicked or keyboard selected.
     */
    keepOpen: boolean;
    /**
     * Used for overriding e.g. sub-menu-item.
     */
    protected keepOpenOnClick: boolean;
    readonly type: ListItemRole;
    protected onClick(): void;
    protected onKeydown(e: KeyboardEvent): void;
}
